Uploaded image for project: 'Maven Archetype'
  1. Maven Archetype
  2. ARCHETYPE-500

create from project with resources plugin

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 2.3
    • Fix Version/s: None
    • Component/s: Archetypes, Creator
    • Labels:
    • Environment:
      window10 mvn3.2.5 java 1.8

      Description

      when i run:mvn archetype:create-from-project with one of my project,it give me a warning :[WARNING] Using platform encoding (GBK actually) to copy filtered resources, i.e. build is platform dependent!
      At first,i thougt i have wrong maven-resources-plugin in pom,but when i run mvn install, it's ok without the error.I find that when i run mvn archetype:create-from-project,the maven-resources-plugin's version is 2.7,but when i run mvn install ,it was 2.6. It's interesting for me,so i run mvn help:effective-pom, the version is still 2.6. I don't understand why the version is different and what should i do to remove the warning. Thank you!

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              lzxianren joseph
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:

                Time Tracking

                Estimated:
                Original Estimate - 2h
                2h
                Remaining:
                Remaining Estimate - 2h
                2h
                Logged:
                Time Spent - Not Specified
                Not Specified